Uploaded image for project: 'Couchbase Documentation'
  1. Couchbase Documentation
  2. DOC-4583

Node.js: Document toolchain requirements for build/install

    XMLWordPrintable

Details

    • Task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • None
    • None
    • sdk

    Description

      It is not possible to build couchnode on CentOS 6 with the default version of gcc that ships with the OS (4.4.7 on CentOS 6.8).

      I have found that the version that comes with Developer Toolset 7 is sufficient.

      Can we please document the toolchain requirements here?

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          A note with a link to the Developer Toolset 7 has been added.
          Awaiting further info for other possible changes on the Node install docs.

          richard.smedley Richard Smedley added a comment - A note with a link to the Developer Toolset 7 has been added. Awaiting further info for other possible changes on the Node install docs.

          Added reference to runtime, too.

          richard.smedley Richard Smedley added a comment - Added reference to runtime, too.

          People

            richard.smedley Richard Smedley
            malarky Chris Malarky
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty